import Location from "../entities/location";
import LocationsRepository from "../entities/locationsRepository";
import Presenter from "./presenter";

export default function showLocations(
  repository: LocationsRepository,
  presenter: Presenter<Location[]>
) {
  const locations = repository.getAll();
  presenter.show(locations);
}
